Qt 5.9 | Qt Quick | C++ Classes | QQuickTextDocument

Qt 5.9.9 Reference Documentation

# QQuickTextDocument Class

The QQuickTextDocument class provides access to the QTextDocument of QQuickTextEdit More...

Header: | #include <QQuickTextDocument>
qmake: | QT += quick
Since: | Qt 5.1

- List of all members, including inherited members

## Public Functions

| QQuickTextDocument(QQuickItem *parent)
QTextDocument * | textDocument() const

## Detailed Description

The QQuickTextDocument class provides access to the QTextDocument of QQuickTextEdit

This class provides access to the QTextDocument of QQuickTextEdit elements. This is provided to allow usage of the Rich Text Processing functionalities of Qt. You are not allowed to modify the document, but it can be used to output content, for example with QTextDocumentWriter), or provide additional formatting, for example with QSyntaxHighlighter.

The class has to be used from C++ directly, using the property of the TextEdit.

Warning: The QTextDocument provided is used internally by Qt Quick elements to provide text manipulation primitives. You are not allowed to perform any modification of the internal state of the QTextDocument. If you do, the element in question may stop functioning or crash.

## Member Function Documentation

### QQuickTextDocument::QQuickTextDocument(QQuickItem *parent)

Constructs a QQuickTextDocument object with parent as the parent object.

### QTextDocument *QQuickTextDocument::textDocument() const

Returns a pointer to the QTextDocument object.